%define pkgname X-Osd
%define name	perl-%{pkgname}
%define	version	0.7
%define release	3mdk

Summary:  	Perl5 modules for xosd
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://ftp.cpan.jp/CPAN/authors/id/G/GO/GOZER/
Source:		%{pkgname}-%{version}.tar.bz2
Packager:       Erwan Velu <erwan@mandrakesoft.com>
Requires:	perl 
BuildRequires:	xosd-devel, perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Perl extension to the X On Screen Display library (xosd)

%prep
%setup -q -n %{pkgname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -fr %{buildroot}

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root) 
%doc README MANIFEST Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.7-3mdk 
- rebuild for new perl
- fix spec name

* Tue Jun 22 2004 Michael Scherer <misc@mandrake.org> 0.7-2mdk 
- remove Requires on xosd, who turn out to pull xmms-xosd.

* Thu May 05 2004 Erwan Velu <erwan@mandrakesoft.com> 0.7-1mdk
- 0.7 (8 months in late :/)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- rebuild for new auto{prov,req}

* Mon Apr 28 2003  <erwan@no.mandrakesoft.com> 0.5-2mdk
- Fixing BuildRequires (Thx to Stefan van der Eijk)

* Wed Apr  2 2003  <erwan@mandrakesoft.com> 0.5-1mdk
- first release for Mandrakesoft
